Bug 416971 - Pirut Crash installing Picasa 2.7 on Fedora 7
Pirut Crash installing Picasa 2.7 on Fedora 7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-08 19:18 EST by Steven Collins
Modified: 2008-05-28 15:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception details. (2.26 KB, text/plain)
2007-12-08 19:18 EST, Steven Collins
no flags Details

  None (edit)
Description Steven Collins 2007-12-08 19:18:57 EST
Description of problem:

Unhandled exception in pirut. Was installing the latest picasa 2.7 RPM from Google.


How reproducible:

Unknown.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Unhandled exception

Expected results:

successful installation of the package

Additional info:
Comment 1 Steven Collins 2007-12-08 19:18:57 EST
Created attachment 282151 [details]
Exception details.
Comment 2 Jeremy Katz 2007-12-10 13:28:08 EST
What version of the pirut package do you have installed?
Comment 3 Steven Collins 2007-12-10 14:28:39 EST
Per "rpm --query --whatprovides pirut": pirut-1.3.23-1.fc7
Comment 4 Jeremy Katz 2007-12-10 14:31:46 EST
Can you update to pirut 1.3.28-1.fc7 (was pushed last week) and see if it helps?
Comment 5 Steven Collins 2007-12-10 15:26:21 EST
Neither "pup" or "pirut" are able to contact one or more repositories at this
point, so I'm unable to update. I observed this over the weekend of December 2
and again this last weekend (December 9, 2007). The condition persists today. I
was unaware this situation existed again when I opened this bug report, since I
was trying to install a local RPM.

The failure from a "pup" session reads:

Cannot retrieve repository metadata (repomd.xml) for repository: fedora. Please
verify its path and try again

This may or may not relate to the error I encountered while attempting to
install the picasa RPM.
Comment 6 Steven Collins 2007-12-12 01:02:45 EST
I finally found the RPM for the pirut update on the web and downloaded it and
used the rpm upgrade to perform the upgrade. The new version was able to install
the picasa package without error.

Is there a known issue with the "fedora" and "upgrades" repositories? Even with
the new versions of pirut and pup I'm unable to install or update software
because these repositories seem to be unreachable.
Comment 7 Bug Zapper 2008-05-14 11:08:29 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.